
package de.ivu.elect.business.stimmeingabe.boundary;

import java.util.Collection;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet;

@Specializes
public class NlDefaultStimmeingabeKopfzahlLabelGenerator extends DefaultStimmeingabeKopfzahlLabelGenerator {

  private static final long serialVersionUID = 1L;

  public NlDefaultStimmeingabeKopfzahlLabelGenerator() {
    super();
  }

  @Override
  public String getKopfzahlKennung(GruppeImGebiet gruppeImGebiet, Collection<GruppeImGebiet> gruppenImGebiet) {
    if (isSystemGruppeUebrige(gruppeImGebiet)) {
      return ""; // Warnung im Log unnötig - ohne Stimmenart NICHT eindeutig, wofür SystemGruppe#UEBRIGE hier steht...
    }

    return super.getKopfzahlKennung(gruppeImGebiet, gruppenImGebiet);
  }

  @Override
  public String getKopfzahlBezeichnung(GruppeImGebiet gruppeImGebiet, Collection<GruppeImGebiet> gruppenImGebiet) {
    if (isSystemGruppeUebrige(gruppeImGebiet)) {
      return ""; // Warnung im Log unnötig - ohne Stimmenart NICHT eindeutig, wofür SystemGruppe#UEBRIGE hier steht...
    }

    return super.getKopfzahlBezeichnung(gruppeImGebiet, gruppenImGebiet);
  }
}
